Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1080144 - USB Support select box always shows "Disabled" choice.
Summary: USB Support select box always shows "Disabled" choice.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1147527 1147827 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-24 18:32 UTC by Marian Krcmarik
Modified: 2015-02-11 17:59 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1147527 1147827 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:59:29 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 27045 master MERGED userportal,webadmin: keep proper USB support selection Never
oVirt gerrit 33480 ovirt-engine-3.4 MERGED userportal,webadmin: keep proper USB support selection Never

Description Marian Krcmarik 2014-03-24 18:32:35 UTC
Description of problem:
USB Support select box of Console Tab in Edit VM dialog always shows "Disabled" choice even though a different choice is chosen and saved successfully, Moreover chosen choice is being applied to the VM, just the select box always shows "Disabled" value.
The VM was created based on template where Legacy option was set.

Version-Release number of selected component (if applicable):
3.4.0-0.5.master.el6ev
Guest: Windows 7 32bit

How reproducible:
Always

Steps to Reproduce:
1. Create a Windows VM in RHEVM admin portal.
2. Chose "native" option in USB support select box of Console tab in Edit VM details dialog.
3. Save changes and open the dialog again

Actual results:
"Disabled" value displayed

Expected results:
"Native" value displayed.

Additional info:

Comment 1 Lukas Svaty 2014-08-04 09:24:03 UTC
verified in ovirt-3.5.0-beta2

Comment 2 Amador Pahim 2014-09-26 14:58:58 UTC
Creating a Pool using a template with USB Policy set to Native will create the VMs with the same policy. But editing this Poll to add more VMs will create the new VMs with USB Policy set to Disabled. And users are not allowed to edit the VMs attached to a Pool to change the USB Policy back to Native. Raising severity/priority.

Comment 7 errata-xmlrpc 2015-02-11 17:59:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.